## Contributing

### Prerequisites
Users must have Python and `graphviz`, an open-source graph visualization software, installed. This library currently runs on Python versions 3.7 and above.

### Steps to Contributing
1. Open an issue [here](https://github.com/sarahtang7/seealgo/issues) to report a bug or describe a feature you would like implemented!
2. Fork the `seealgo` repository on GitHub
3. `git clone` the forked repository for a local copy
4. To install the development dependencies, run `make develop`
5. Make your changes! (NOTE: please add tests for any new features you implement)

### Submitting Your Contributions
1. Run `make test` to ensure your changes pass all test cases
2. Run `make lint` to check the styling of your changes
3. Commit and push your changes to your forked repository
4. Submit a pull request to the original `seealgo` repository
5. Reference the pull request in the [issue]((https://github.com/sarahtang7/seealgo/issues)) you created/addressed

Thanks for contributing!
